package handler

import (
	"encoding/json"
	"fmt"
	"net/http"

	"sirlab.de/go/knowyt/user"
)

func (authMux *AuthMux) CheckSetup(w http.ResponseWriter, r *http.Request) {
	if authMux.app.IsInitialized() {
		authMux.accessDenied(w, r)
		return
	}

	usrSetup := UserInfoJson{
		Name: "setup",
		Role: user.ROLE_SETUP,
	}

	w.Header().Add("Content-Type", "application/json")
	jsonString, _ := json.Marshal(usrSetup)
	fmt.Fprintf(w, "%s", string(jsonString))
}
